#include "PrintSim.hpp"
#include "Ansi.hpp"
#include "Sim.hpp"
#include "PrintBoard.hpp"

using std::vector;

void printSim(Ansi& ansi,
              const Sim& sim)
{
    vector<Point> robotPoints;
    vector<Point> reachable;
    for (auto& robot : sim.m_robots)
    {
        robotPoints.push_back(robot.m_point);
        reachable.insert(reachable.end(),
                         robot.m_reachable.begin(),
                         robot.m_reachable.end());
    }

    printBoard(ansi, sim.m_board, robotPoints, &sim.m_wrapped, &reachable);
}
